petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscEListFind

searches list of strings for given string, using case insensitive matching

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscEListFind(PetscInt n,const char *const *list,const char *str,PetscInt *value,PetscBool *found)

Not Collective

### Input Parameters

| n | - number of strings in
| list | - list of strings to search
| str | - string to look for, empty string "" accepts default (first entry in list)

### Output Parameters

| value | - index of matching string (if found)
| found | - boolean indicating whether string was found (can be NULL)

### Notes

Not for use in Fortran

### Level

advanced

### Location

src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages